package org.springblade.system.pojo.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.stream.Stream;

/**
 *  用户性别枚举
 * @author bfhuange
 * @date 2024/8/27
 */
@Getter
@AllArgsConstructor
public enum UserSex {
    /**
     *  男
     */
    MAN(1, "男"),
    /**
     *  女
     */
    WOMAN(2, "女"),
    ;
    /**
     *  编码
     */
    private final Integer code;
    /**
     *  名称
     */
    private final String name;

    public static Integer getCodeByName(String name) {
        if (name == null || name.isEmpty()) {
            return null;
        }
        return Stream.of(values())
                .filter(e -> e.getName().equals(name))
                .map(UserSex::getCode)
                .findFirst().orElse(null);
    }
}
